com.google.gwt.text.client

## Class DoubleRenderer

- java.lang.Object
- - com.google.gwt.text.shared.AbstractRenderer<java.lang.Double>
  - - com.google.gwt.text.client.DoubleRenderer

All Implemented Interfaces:
  Renderer<java.lang.Double>

    public class DoubleRenderer
    extends AbstractRenderer<java.lang.Double>

A localized renderer based on `NumberFormat.getDecimalFormat()`.

### Constructor Summary

Constructors
`protected` `DoubleRenderer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Renderer<java.lang.Double>` `instance()` Returns the instance.
`java.lang.String` `render(java.lang.Double object)` Renders `object` as plain text.

### Methods inherited from class com.google.gwt.text.shared.AbstractRenderer

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleRenderer

    protected DoubleRenderer()

### Method Detail

#### instance

    public static Renderer<java.lang.Double> instance()

Returns the instance.

#### render

    public java.lang.String render(java.lang.Double object)

Description copied from interface: `Renderer`
Renders `object` as plain text. Should never throw any exceptions!